Bug 644350 - Timing issue in systemtap initscript restart command
Timing issue in systemtap initscript restart command
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.6
All Linux
low Severity medium
: rc
: ---
Assigned To: Frank Ch. Eigler
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-19 10:10 EDT by Petr Muller
Modified: 2011-07-21 07:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: systemtap-1.3-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 624657
Environment:
Last Closed: 2011-07-21 07:11:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Muller 2010-10-19 10:10:21 EDT
+++ This bug was initially created as a clone of Bug #624657 +++

Description of problem:
Our Beaker test for the initscript sometimes fails to restart the service when some script is running. When investigating this issue, I've found out this is probably a timing issue: if I add a slight lag (like, sleep 3) between 'stop' and 'start' calls in 'restart' function, the issue disappears.

Version-Release number of selected component (if applicable):
systemtap-initscript-1.3-2.el5

How reproducible:
On some boxes, not always. When it appears, it is usually reproducible.

Steps to Reproduce:
1. cat > /etc/systemtap/script.d/heart.stp << EOF
> probe timer.ms(500){
>   print("Beat!\n");
> }
> EOF
2. # service systemtap start; sleep 1; service systemtap restart;
  
Actual results:
Starting systemtap:  Compiling heart ... done
 Starting heart ... done
                                                           [  OK  ]
Stopping systemtap:                                        [  OK  ]
Starting systemtap: heart is dead, but another script is running.
                                                           [FAILED]

Expected results:
Starting systemtap: [  OK  ]
Stopping systemtap: [  OK  ]
Starting systemtap:  Compiling heart ... done
 Starting heart ... done
[  OK  ]

Additional info:
Comment 1 Frank Ch. Eigler 2010-11-12 11:05:34 EST
patch in hand (upstream commit 3c568395)
Comment 2 Frank Ch. Eigler 2010-11-12 11:07:21 EST
Sorry, I take that back, only bug #607232 was associated with that commit.
We'll continue investigating.
Comment 3 David Smith 2011-01-27 17:50:40 EST
Like bug #624657, upstream commit 671a1d8 fixes this problem.  Note that like bug #624657, the following setup step is need to get this bug to appear:

# echo "heart_OPT='-o /tmp/stap-test.log'" > /etc/systemtap/conf.d/heart.conf

Commit 671a1d8 applies cleanly to the 1.3 source.

<http://sources.redhat.com/git/gitweb.cgi?p=systemtap.git;a=commitdiff;h=671a1d824ff1320f9e2fa3ed27d5458cc44a5dcc>
Comment 6 errata-xmlrpc 2011-07-21 07:11:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1044.html

Note You need to log in before you can comment on or make changes to this bug.